Testing BlackBox 1.7-rc1.606: some issues

All except GUI problems

Testing BlackBox 1.7-rc1.606: some issues

Postby HansKlaver » Sat Aug 13, 2016 9:18 pm

Hi all,

First of all I would like to thank the Center members for the hard work they have done to keep BlackBox CB alive and kicking!

While testing I encountered very little issues, but I'd like to draw attention to two points:

1. Subsystem Ctl no longer has interface modules to older versions of Excel and other MS Office applications, e.g. CtlExcel8. This leads to compiler error messages when compiling some often used subsystems, like Robert Campbell's Lib from CPC. I asked Robert and he wrote me that the Excel part was written by a now retired collegue of his, so that it's not easy to update the Excel related modules of Lib.

The easiest solution is to manually copy CtlExcel8 from BlackBox 1.6 to 1.7 but it would be better for first time users that this would be unnecessary. Why not put all the older interface modules present in BB 1.6 also into 1.7 ?

2. BlackBox menu 'Attributes' has two almost identical items: 'Font...' and 'Typeface...'. The latter is a subset of the former so I would say that menu item 'Typeface...' is superfluous and can be left out. Maybe in older versions or on the Mac 'Typeface...' had some extra functionality but now it hasn't.

Cheers, Hans
HansKlaver
 
Posts: 14
Joined: Sun Oct 13, 2013 10:46 pm
Location: Aerdenhout, The Netherlands

Re: Testing BlackBox 1.7-rc1.606: some issues

Postby Zinn » Sun Aug 14, 2016 6:14 am

Excel8 is Office 97. It is not a good idea to leave obsolete code inside Blackbox which needs 2 Mbyte and nobody will use them in the future.
Remember the BB 1.6 zip file needs 8 Mbyte the BB 1.7 zip file needs 6 Mbyte. This was discussed in Framework Center and the changes was done on September 2015.
- Helmut
Zinn
 
Posts: 58
Joined: Mon Nov 24, 2014 10:47 am

Re: Testing BlackBox 1.7-rc1.606: some issues

Postby Robert » Sun Aug 14, 2016 3:10 pm

HansKlaver wrote:1. Subsystem Ctl no longer has interface modules to older versions of Excel and other MS Office applications, e.g. CtlExcel8. This leads to compiler error messages when compiling some often used subsystems, like Robert Campbell's Lib from CPC. I asked Robert and he wrote me that the Excel part was written by a now retired collegue of his, so that it's not easy to update the Excel related modules of Lib.

The easiest solution is to manually copy CtlExcel8 from BlackBox 1.6 to 1.7 but .... Why not put all the older interface modules present in BB 1.6 also into 1.7 ?


An alternative is to make the changes below. I also agree (with Helmut and the Center) that these new changes are far better than copying obsolete Office interfaces into BlackBox 1.7. (But note: I did not write these modules, and have no knowledge of Excel. These changes - both the suggestions above & below - enable the modules to compile, but I cannot guarantee that they actually work!).

it would be better for first time users that this would be unnecessary


My next comments are really addressed to Helmut Zinn, but I put them here as they may have public interest. Also Lib is only an example, these comments may apply to many other SubSystems. CPC will need (in my opinion !) to decide if it is providing versions that support BlackBox 1.6 or 1.7, or both. It will also be very helpful if the top level pages clearly state which version(s) are supported by each SubSystem (or Module).

In my opinion BlackBox 1.6 should definately be supported until BlackBox 1.7 stable is available.
While people are being encourage to try / test BlackBox 1.7 Release Candidate it is, or course, helpful if compatible experimental versions of SubSystems were available, or if ways of converting BBox 1.6 versions are published. But we need to remember that BlackBox 1.7 Release Candidate is aimed at developers, not general users who want stable interfaces.

After BlackBox 1.7 stable is released it is probably simpler (and easier) if support for BlackBox 1.6 is withdrawn from CPC.

Change
Code: Select all
CtlExcel := CtlExcel8
to
Code: Select all
CtlExcel := CtlExcel9
in both LibXcl & LibXclDemo. It is also necessary to change the Xcl routine below
Code: Select all
PROCEDURE CopyWorksheet* (sourcebook : CtlExcel.Workbook; item : INTEGER;
                                     ws : CtlExcel.Worksheet);
VAR
   sourcesheet : CtlExcel.Worksheet;
   xdummy : CtlT.Any;      (*  Added for BlackBox 1.7 compatibility, Aug 2016  *)
BEGIN
   ASSERT ((item > 0)&(item <= sourcebook.Worksheets().Count()), 99);
   sourcesheet :=
            CtlExcel.This_Worksheet (sourcebook.Worksheets().Item(CtlT.Int(item)));
   xdummy : = sourcesheet.Cells().Copy (ws.Cells());
END CopyWorksheet;
User avatar
Robert
 
Posts: 108
Joined: Sat Sep 28, 2013 11:04 am
Location: Edinburgh, Scotland

Re: Testing BlackBox 1.7-rc1.606: some issues

Postby Zinn » Tue Aug 16, 2016 6:06 am

Robert wrote:My next comments are really addressed to Helmut Zinn, but I put them here as they may have public interest. Also Lib is only an example, these comments may apply to many other SubSystems. CPC will need (in my opinion !) to decide if it is providing versions that support BlackBox 1.6 or 1.7, or both. It will also be very helpful if the top level pages clearly state which version(s) are supported by each SubSystem (or Module).

In my opinion BlackBox 1.6 should definately be supported until BlackBox 1.7 stable is available.
While people are being encourage to try / test BlackBox 1.7 Release Candidate it is, or course, helpful if compatible experimental versions of SubSystems were available, or if ways of converting BBox 1.6 versions are published. But we need to remember that BlackBox 1.7 Release Candidate is aimed at developers, not general users who want stable interfaces.

After BlackBox 1.7 stable is released it is probably simpler (and easier) if support for BlackBox 1.6 is withdrawn from CPC.

Read the introduction of CPC and this will answer your question. Offline I have all subsystems running with BlackBox 1.7, but I have not uploaded them yet. There is a stable version of BlackBox 1.7 available on CPC since April 2016 (1604). Since June 2016 (1606) CPC doesn't support BlackBox 1.6 and uploads are tested with BlackBox 1.7 only. Offline I changed all Quick-Starts. Now Quick-Starts uses Dialog.OpenExternal instead of InfoCmds.Start. Soon I will rebuild all save sets and upload them to CPC. Every contributor, who would like to change their e-mail address in Quick-Start, please send me your new e-mail address.
- Helmut
Zinn
 
Posts: 58
Joined: Mon Nov 24, 2014 10:47 am


Return to BlackBox Framework

Who is online

Users browsing this forum: No registered users and 1 guest

cron